### Method

# EDataCal CalCacheOfflineChange copy

since: 3.26

#### Declaration [src]

    ECalCacheOfflineChange*
    e_cal_cache_offline_change_copy (
      const ECalCacheOfflineChange* change
    )

#### Description

No description available.

Available since: 3.26

#### Parameters

`change`

  Type: `ECalCacheOfflineChange`

  A source `ECalCacheOfflineChange` to copy, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `ECalCacheOfflineChange`

Copy of the given `change`. Free it with `e_cal_cache_offline_change_free()` when no longer needed. If the `change` is `NULL`, then returns `NULL` as well.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.